// © 2025 Naked People Team. All Rights Reserved.


#include "CommissionConstraint.h"

void UCommissionConstraint::Activate(ANakedDesireCharacter* InPlayer)
{
	Player = InPlayer;
	OnActivate();
}

void UCommissionConstraint::Deactivate()
{
	OnDeactivate();
	Player = nullptr;
}

FText UCommissionConstraint::GetDescription() const
{
	return FText::GetEmpty();
}